\page{4}{
\header{1}{Programming}

Implement in \code{QuadImpl.integrateBodyForceComponent(...)} the
integration of the body force ${\bf f}^B$. To solve an example like
the following I'd suggest to implement a helper function
\code{giveBodyForce([X,Y])} which returns the actual body force as
vector $f_i^B$ at a given point \code{P=[X,Y]}. You have to solve the
integral

$$
\delta W^B_{ext} = \sum \limits_e \int_{{}^eV} \delta {}^e{\bf u}^T \, {}^e{\bf f}^B {\rm d} V = 
\delta \hat{\bf u}^T \sum \limits_e \int_{{}^eV} {\bf H}^T \, {}^e{\bf f}^B {\rm d} V = 
\delta \hat{\bf u}^T \, {\bf F}^B_{ext}
$$

via using the element shape functions for interpolation.

\vspace{1.5cm}
\header{2}{Example}

Calculate the following example. Take advantage of the symmetries and
use the code you wrote in 1. Create an input file and discuss the
results. It would be of interest to analyze the error made by the
finite element method in comparison to the exact solution. (Missing
parameters are free to choose)

\vspace{1cm}
\begin{center}
  \includegraphics{images/rotating_ring}
\end{center}

An analytical solution is given for comparison:\\

$
\sigma_{rr}(r)=\displaystyle\frac{\varrho\omega^2}{8}\left(3+\nu\right)\left(r_a^2+r_i^2-r^2-\displaystyle\frac{r_a^2r_i^2}{r^2}\right)\\
\sigma_{\varphi\varphi}(r)=\displaystyle\frac{\varrho\omega^2}{8}\left[\left(3+\nu\right)\left(r_a^2+r_i^2\right)-\left(1+3\nu\right)r^2+\left(3+\nu\right)\displaystyle\frac{r^2_ar_i^2}{r^2}\right]
$

}

%%% Local Variables: 
%%% mode: latex
%%% TeX-master: "main"
%%% End: 
